
package presentacion;

import javax.swing.JButton;

//     Esta clase no se instancia en ningún momento. 
//     El mecanismo de la desconexión se implementa en el método centralizar de la class Controller.
//     La presenta clase podría eliminarse del proyecto.
public class Desconexion extends PantallaOpcion {

      private JButton jButtonDesconectar;
      
    public Desconexion() {
        ubicarComponentes();
    }
  
    private void ubicarComponentes() {
        setLayout(null);
        jButtonDesconectar = new JButton("Desconectar");
        jButtonDesconectar.setBounds(340,280,120,40);
        jButtonDesconectar.setActionCommand("desconectar");
        add(jButtonDesconectar); 
    }   
    

    public void inicializarPostInstanciar(Controller controller) throws Exception {
        this.controller = controller; 
        jButtonDesconectar.addActionListener(controller);        
    }    
    
    
    public void responderAController(String actionCommand) throws Exception {
          switch(actionCommand)
          {   
               case "desconectar" :
                      controller.getUsuarioAutenticado().setIdentificadorUsuario(null);
                      controller.getUsuarioAutenticado().setPassword(null);
                      InvocacionAutomaticaMenu invocacionAutomaticaMenu = new InvocacionAutomaticaMenu();  
                      invocacionAutomaticaMenu.addEventoOpcionMenuListener(controller);
                      invocacionAutomaticaMenu.fireEventoOpcionMenu("Conexion");                
                      break;       
          }
    }
}
